.globl  send_f
.globl  recv_f
.globl  test_stat

	
send_f:	
	mflr    0
        stw     0, 8(1)

	mtctr   5
	li	6, 16
	addi	4, 4, -16
	
send_f_loop:
	lfpdux	31, 4, 6
	
	stfpdx	31, 0, 3
	bc	17, 31, send_f_loop
	

	lwz     0, 8(1)
        mtlr    0
        bclr     20, 0


recv_f:	
	mflr    0
        stw     0, 8(1)

	mtctr   5
	li	6, 16
	addi	4, 4, -16

recv_f_loop:
	lfpdx	31, 0, 3
	stfpdux	31, 4, 6
	
	bc	17, 31, recv_f_loop
	

	lwz     0, 8(1)
        mtlr    0
        bclr     20, 0



test_stat:
        mflr    0
        stw     0, 8(1)
        stwu    1, -16(1)


#	lmw	31, 0(3)
		
	lfpdx	31, 0, 3
	stfpdx	31, 0, 1
	lbzx	3, 4, 1
		
        addi    1, 1, 16
        lwz     0, 8(1)
        mtlr    0
        bclr     20, 0
